Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.optaplanner.core.config.heuristic.selector.entity
Enum EntitySelectorConfig.EntitySorterManner

    java.lang.Object
      java.lang.Enum<EntitySelectorConfig.EntitySorterManner>
          org.optaplanner.core.config.heuristic.selector.entity.EntitySelectorConfig.EntitySorterManner

All Implemented Interfaces:
  Serializable, Comparable<EntitySelectorConfig.EntitySorterManner>

Enclosing class:
  EntitySelectorConfig

    public static enum EntitySelectorConfig.EntitySorterManner

extends Enum<EntitySelectorConfig.EntitySorterManner>

Build-in ways of sorting.

Enum Constant Summary
`DECREASING_DIFFICULTY`

Method Summary
`SelectionSorter` | `determineSorter(PlanningEntityDescriptor entityDescriptor)`
`static EntitySelectorConfig.EntitySorterManner` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EntitySelectorConfig.EntitySorterManner[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DECREASING_DIFFICULTY

    public static final EntitySelectorConfig.EntitySorterManner DECREASING_DIFFICULTY

Method Detail

### values

    public static EntitySelectorConfig.EntitySorterManner[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EntitySelectorConfig.EntitySorterManner c : EntitySelectorConfig.EntitySorterManner.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EntitySelectorConfig.EntitySorterManner valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### determineSorter

    public SelectionSorter determineSorter(PlanningEntityDescriptor entityDescriptor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.